Subject: Ticket Assigned - Guess Women's Cosmopolitan Gold Analog Metal Strap Watch W0764L2
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 30 Sep 2021 13:51:02 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Guess Women's Cosmopolitan Gold Analog Metal Strap Watch W0764L2 Hello,

Your Ref: Order number 6355329001

I received the watch very fast, but the watch was not working.
I sent you the watch back, the courier collected it a couple of days ago and I have had no notification from you whatsoever.
Will you refund me?
Will you repair watch and send it back to me?

Please advise.

Thanks.  

Ian Nicoll
email: [email-masked] <mailto:[email-masked]>
Mobile (Philippines): +63 928 440 4806
Mobile (Saudi): +966 54 535 4934

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3166990